# Record TCefUrlRequest

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefUrlRequest = record`

## Description

Structure used to make a URL request. URL requests are not associated with a browser instance so no ICefClient callbacks will be executed. URL requests can be created on any valid CEF thread in either the browser or render process. Once created the functions of the URL request object must be accessed on the same thread that created it.

NOTE: This struct is allocated DLL-side.

Implemented by ICefUrlRequest.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_urlrequest_capi.h">CEF source file: /include/capi/cef_urlrequest_capi.h (cef_urlrequest_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_request: function(self: PCefUrlRequest): PCefRequest; stdcall;`
| `get_client: function(self: PCefUrlRequest): PCefUrlRequestClient; stdcall;`
| `get_request_status: function(self: PCefUrlRequest): TCefUrlRequestStatus; stdcall;`
| `get_request_error: function(self: PCefUrlRequest): TCefErrorcode; stdcall;`
| `get_response: function(self: PCefUrlRequest): PCefResponse; stdcall;`
| `response_was_cached: function(self: PCefUrlRequest): integer; stdcall;`
| `cancel: procedure(self: PCefUrlRequest); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_request: function(self: PCefUrlRequest): PCefRequest; stdcall;`
This item has no description.

| `get_client: function(self: PCefUrlRequest): PCefUrlRequestClient; stdcall;`
This item has no description.

| `get_request_status: function(self: PCefUrlRequest): TCefUrlRequestStatus; stdcall;`
This item has no description.

| `get_request_error: function(self: PCefUrlRequest): TCefErrorcode; stdcall;`
This item has no description.

| `get_response: function(self: PCefUrlRequest): PCefResponse; stdcall;`
This item has no description.

| `response_was_cached: function(self: PCefUrlRequest): integer; stdcall;`
This item has no description.

| `cancel: procedure(self: PCefUrlRequest); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.